import { r as registerInstance, h, g as getElement, H as Host } from './core-095fd691.js';

const BceRipple = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h(Host, { style: { left: this.x + 'px', top: this.y + 'px' } });
    }
    get el() { return getElement(this); }
    static get style() { return ":host{position:absolute;display:block;width:2px;height:2px;background-color:#000;border-radius:50%;-webkit-animation:ripple .88s 1;animation:ripple .88s 1;pointer-events:none;opacity:.5;font-size:0}\@-webkit-keyframes ripple{0%{-webkit-transform:scale(1);transform:scale(1)}to{opacity:0;-webkit-transform:scale(200);transform:scale(200)}}\@keyframes ripple{0%{-webkit-transform:scale(1);transform:scale(1)}to{opacity:0;-webkit-transform:scale(200);transform:scale(200)}}"; }
};

export { BceRipple as bce_ripple };
